{pkgs, ...}: {
  # Define GTK theme settings
  gtk = {
    enable = true;
    font = let
      fonts = import ../common/fonts.nix;
    in {
      name = "${fonts.main}";
      size = 11;
    };
    theme = {
      name = "Colloid-Dark";
      package = pkgs.colloid-gtk-theme.override {
        themeVariants = ["default"];
        colorVariants = ["dark"];
        sizeVariants = ["standard"];
        tweaks = ["black" "rimless" "normal"];
      };
    };
    iconTheme = {
      package = pkgs.papirus-icon-theme.override {color = "indigo";};
      name = "Papirus-Dark";
    };
    cursorTheme = {
      package = pkgs.simp1e-cursors;
      name = "Simp1e-Dark";
    };

    # GTK app bookmarks
    gtk3 = {
      bookmarks = [
        # Local
        "file:///home/jimbo/Downloads"
        "file:///home/jimbo/Documents"
        "file:///home/jimbo/Videos"
        "file:///home/jimbo/Pictures/Screenshots"
        "file:///home/jimbo/VMs"

        # Remote
        "file:///home/jimbo/JimboNFS/Downloads"
        "file:///home/jimbo/JimboNFS/Documents"
        "file:///home/jimbo/JimboNFS/Music"
        "file:///home/jimbo/JimboNFS/Photos"
        "file:///home/jimbo/JimboNFS/Videos"
        "file:///home/jimbo/JimboNFS/Projects"

        # More important stuff
        "file:///home/jimbo/JimboNFS/School"
        "file:///etc/nixos"
      ];

      # Disable shadows
      extraCss = ''
        * { outline-width: 0px; }
        decoration { box-shadow: none; }
      '';
    };

    # Stop gtk4 from being rounded
    gtk4.extraCss = ''
      window {
        border-top-left-radius:0;
        border-top-right-radius:0;
        border-bottom-left-radius:0;
        border-bottom-right-radius:0;
      }
    '';
  };
}
